# Returns a organization type from the system by its ID. This method will look up a organization type by the specified ID and return it back. Endpoint: GET /organizationTypes/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the organization type to return. ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned. - `consistentRead` (string) Indicates the API should force a consistent read on the data source. ## Response 200 fields (application/json): - `applicable_contact_role_ids` (array, required) - `console_create_organization_form_id` (string) The default form for creating an organization in the console - `console_edit_organization_form_id` (string) The default form for editing an organization in the console - `contact_role_compliance_options` (object, required) - `contact_role_compliance_options.contact_role_compliance_rules` (array, required) - `contact_role_compliance_options.contact_role_compliance_rules.contact_role_id` (string, required) The contact role - `contact_role_compliance_options.contact_role_compliance_rules.maximum` (number) The maximum number of contacts, leave blank for unlimited - `contact_role_compliance_options.contact_role_compliance_rules.minimum` (number) The minimum number; leave blank for 0 - `contact_role_compliance_options.notification_options` (object) - `contact_role_compliance_options.notification_options.email` (object) The email to send to contacts when an organization is out of compliance - `contact_role_compliance_options.notification_options.email.bcc` (string) Anyone that should be bcc'ed on the email - `contact_role_compliance_options.notification_options.email.body` (string, required) The email body - `contact_role_compliance_options.notification_options.email.cc` (string) Anyone that should be cc'ed on the email - `contact_role_compliance_options.notification_options.email.from` (string) From email address - `contact_role_compliance_options.notification_options.email.from_name` (string) From name - `contact_role_compliance_options.notification_options.email.reply_to` (string) The reply to - `contact_role_compliance_options.notification_options.email.subject` (string, required) The email subject - `contact_role_compliance_options.notification_options.notification_contact_role_ids` (array) The contact role IDs to notify - `contact_role_compliance_options.notify_contacts_of_compliance_violation` (boolean) Whether contacts should be notified of contact compliance violation - `enable_contact_role_compliance` (boolean) Whether or not there are rules for how many contacts this organization type can have - `enable_key_roles` (boolean) Allow for creation of key roles - `id` (string, required) The unique, string identifier of this organization type - `is_active` (boolean) Whether or not this organization type is active - `key_roles` (array, required) - `key_roles.role_id` (string, required) - `name` (string, required) The name of the organization type - `portal_create_organization_contact_form_id` (string) The form used in the portal when an administrator adds an organization contact - `portal_edit_organization_contact_form_id` (string) The form used in the portal when an administrator edits an organization contact - `portal_update_organization_info_form_id` (string) Update profile portal form - `restrict_contact_roles` (boolean) If true, only certain contact roles are applicable to organizations of this type - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields